Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in live555
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in live555
ID: openSUSE-SU-2019:0058-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3, SUSE openSUSE Leap 15.0, SUSE openSUSE Backports SLE-15
Datum: Fr, 18. Januar 2019, 07:14
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-4013
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-6256
Applikationen: live555

Originalnachricht

   openSUSE Security Update: Security update for live555
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0058-1
Rating: moderate
References: #1114779 #1121892
Cross-References: CVE-2018-4013 CVE-2019-6256
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
openSUSE Backports SLE-15
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update fixes two security issues in live555:

- CVE-2018-4013: Remote code execution vulnerability (bsc#1114779)
- CVE-2019-6256: Denial of Service issue with RTSP-over-HTTP tunneling via
x-sessioncookie HTTP headers (boo#1121892)

This library is statically linked into VLC. However VLC is not affected
because it only uses the live555 library to implement the RTSP client.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-58=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-58=1

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-58=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

live555-devel-2018.12.14-7.3.1

- openSUSE Leap 15.0 (x86_64):

live555-devel-2018.12.14-lp150.2.3.1

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

live555-devel-2018.12.14-bp150.3.3.1


References:

https://www.suse.com/security/cve/CVE-2018-4013.html
https://www.suse.com/security/cve/CVE-2019-6256.html
https://bugzilla.suse.com/1114779
https://bugzilla.suse.com/1121892

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung